Bug 247143 - RFE: do away with 'groups' repo for devel and future
RFE: do away with 'groups' repo for devel and future
Product: Fedora Hosted Projects
Classification: Retired
Component: mock (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Clark Williams
Depends On:
  Show dependency treegraph
Reported: 2007-07-05 12:41 EDT by Jesse Keating
Modified: 2013-01-09 23:22 EST (History)
2 users (show)

See Also:
Fixed In Version: 0.9.1-7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-03-08 09:49:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2007-07-05 12:41:57 EDT
Fedora devel repodata now has a 'buildsys-build' group that defines what should
be in the buildroot.  Mock should switch back to 'groupinstall buildsys-build'
as the chroot creation command, and drop the groups repo from config files.

A git clone with these changes has been created at
Comment 1 Clark Williams 2008-03-07 17:23:41 EST
Now that we've got the great mock rewrite in place, is this still a valid
concern? I see that the cfg files for f8 and devel use the groupinstall
mechanism, but the default inside mock is still to 'install buildsys-build'.

I think I'll change the default in mock.py to be groupinstall and we'll be done

Comment 2 Michael E Brown 2008-03-07 18:11:48 EST
I think this bug is closable without changing anything, as it was implemented
ages ago.
Comment 3 Clark Williams 2008-03-08 09:49:40 EST

Note You need to log in before you can comment on or make changes to this bug.